Notes APIs

Notes are to provide some additional information about a contact, account, deal or task. You can find the notes section in most of the modules. Hence, with Notes API, you can create, delete, or update notes. You can perform actions on single or multiple notes.

Get Notes

Purpose

To get the list of notes.

Request URL

https://www.zohoapis.com/crm/v2/Notes

Request Method

GET

Scope

scope=ZohoCRM.modules.notes.{operation_type}

 
Possible operation types
ALL - Full access to notes
READ - Get note data

Parameters

Parameter NameData TypeDescription
page (optional)IntegerTo get the list of records from the respective pages. Default value is 1.
per_page (optional)IntegerTo get the list of records available per page. Default value is 200.
 
Note:

The page and per_page parameter is used to fetch records according to their position in the CRM. Let's assume that the user has to fetch 400 records. The maximum number of records that one can get for an API call is 200. So, for records above the 200th position, they cannot be fetched. By using the page (1, 2, 3 and 4) and per_page (100) parameter, the user can fetch all 400 records using 4 API calls.

Sample Request


				curl "https://www.zohoapis.com/crm/v2/Notes"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"			

Sample Response


				{
    "data": [
       {
            "Owner": {
                "name": "Patricia Boyle",
                "id": "410888000000086001"
            },
            "$se_module": "Leads",
            "$approval": {
                "delegate": false,
                "approve": false,
                "reject": false
            },
            "Modified_By": {
                "name": "Patricia Boyle",
                "id": "410888000000086001"
            },
            "Modified_Time": "2016-09-15T18:03:09+05:30",
            "Created_Time": "2016-09-15T18:03:09+05:30",
            "$followed": false,
            "Parent_Id": {
                "name": null,
                "id": "410888000000698006"
            },
            "id": "410888000000734003",
            "Created_By": {
                "name": "Patricia Boyle",
                "id": "410888000000086001"
            },
            "Note_Title": "",
            "Note_Content": "Demo scheduled for this Lead"
        },
       {
            "Owner": {
                "name": "Patricia Boyle",
                "id": "410888000000086001"
            },
            "$se_module": "Leads",
            "$approval": {
                "delegate": false,
                "approve": false,
                "reject": false
            },
            "Modified_By": {
                "name": "Patricia Boyle",
                "id": "410888000000086001"
            },
            "Modified_Time": "2016-07-05T16:43:36+05:30",
            "Created_Time": "2016-07-05T16:43:36+05:30",
            "$followed": false,
            "Parent_Id": {
                "name": null,
                "id": "410888000000572160"
            },
            "id": "410888000000643112",
            "Created_By": {
                "name": "Patricia Boyle",
                "id": "410888000000086001"
            },
            "Note_Title": "Demo",
            "Note_Content": "This is sample content to test Zoho CRM API"
        }
    ],
    "info": {
        "per_page": 200,
        "count": 200,
        "page": 1,
        "more_records": true
    }
}